fun main() {
    val iban = readLine()!!
    val numbers = (iban.substring(4) + iban.substring(0,4)).map { it -> it.toString().toInt(36) }
    val checksum = numbers.joinToString(separator = "").toBigInteger().mod(97.toBigInteger()).toInt()
    println(if (checksum == 1) "correct" else "incorrect")
}
