#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int n,d[1<<20],h[1<<20];
map<int,ll> edge[1<<20];

bool bfs(){
  memset(d,-1,sizeof d);
  queue<int> todo;
  d[n]=0;
  for (todo.push(n); not todo.empty(); todo.pop())
    for (auto i: edge[todo.front()])
      if (i.second>0 and !~d[i.first])
        d[i.first]=d[todo.front()]+1,
        todo.push(i.first);
  return ~d[n+1];
}

ll dfs(int x,ll m=1ll<<40ll){
  if (x==n+1 or not m) return m;
  ll res=0,k;
  for (auto &i: edge[x])
    if (d[i.first]==d[x]+1 and (k=dfs(i.first,min(m-res,i.second))))
      res+=k,
      i.second-=k,
      edge[i.first][x]+=k;
  if (not res) d[x]=-1;
  return res;
}

int main(){
  cin>>n;
  for (int i=0; i<n; i++){
    int m; cin>>h[i]>>m;
    (h[i]>0? edge[n][i]: edge[i][n+1])=abs(h[i]);
    while (m--) {int x; cin>>x; edge[i][--x]=1ll<<40ll;}
  }
  while (bfs()) dfs(n);
  ll res=0;
  for (int i=n; i--;) if (~d[i]) res+=h[i];
  cout<<res<<".0"<<endl;
  for (int i=n,j=0; i--;) if (~d[i]) cout<<(j++?" ":"")<<i+1;
  cout<<endl;
}
