#!/usr/bin/env python3
import sys
import platform

if not hasattr(sys, "pypy_translation_info"):
    raise Exception("This should use pypy not cpython")

pv = platform.python_version()
if (pv != "3.6.1"):
    raise Exception("Python version is incorrect: " + pv)

if 'PyPy 7.1.1' not in sys.version:
    raise Exception('Pypy version is incorrect (expected 7.1.1), sys.version says:\n%s' % sys.version)

print("version verified, erroring out with WA now");
