#!/usr/bin/env perl

use strict;
use warnings;

my $n = int($ARGV[0] // 10);
print "$n\n";

my @ranks = (0, map {int rand 10000000} (1 ... $n));

for my $i (1 ... $n) {
  my $cost = -1000000 + int rand 2000000;

  my %deps = ();
  for my $j (0 ... int rand ($n / 10)) {
    my $x = 1 + int rand $n;
    if ($ranks[$x] < $ranks[$i]) {
      $deps{$x} = 1;
    }
  }
  my @deps = keys %deps;

  if (@deps > 0) {
    print "$cost " . @deps . " @deps\n";
  } else {
    print "$cost 0\n";
  }
}
