n = int(raw_input())
cap = [[0]*(n+2) for _ in range(n+2)]

for i in range(1, n+1):
    X = map(int, raw_input().split())
    if X[0] < 0:
        cap[i][n+1] = -X[0]
    else: cap[0][i] = X[0]
    for j in X[2:]: cap[i][j] = 1<<30

flow = [[0]*(n+2) for _ in range(n+2)]

while True:
    q = [0]*(n+2)
    dist = [n+9]*(n+2)
    dist[0] = 0
    qh = 0
    qt = 1
    ladj = [[] for _ in range(n+2)]
    while qh < qt:
        u = q[qh]
        qh += 1
        for (v, c) in enumerate(cap[u]):
            if c - flow[u][v] > 0 and dist[v] > dist[u]:
                ladj[u].append((v, c))
                if dist[v] == n+9:
                    dist[v] = dist[u]+1
                    q[qt] = v
                    qt += 1

    def augment(u, mc, blocked):
        if mc <= 0 or blocked[u]: return 0
        if u == n+1: return mc
        ret = 0
        for (v, c) in ladj[u]:
            here = augment(v, min(c-flow[u][v], mc-ret), blocked)
            if here > 0:
                flow[u][v] += here
                flow[v][u] -= here
                ret += here
        assert ret <= mc
        if ret == 0:
            blocked[u] = True
        return ret

    aug = augment(0, 1e30, [False]*(n+2))
    if aug == 0: break
    
topics = [0]
h = tot = 0
while h < len(topics):
    u = topics[h]
    tot += cap[0][u] - cap[u][n+1]
    h += 1
    for (v, c) in enumerate(cap[u]):
        if c - flow[u][v] > 0 and v not in topics:
            topics.append(v)

print tot
print ' '.join(map(str, topics[1:]))
